[application]

# App (Project) Name
name = "info-werefox-cafe"

# Dioxus App Default Platform
# desktop, web, fullstack, mobile
default_platform = "fullstack"

# `build` & `serve` dist path
out_dir = "dist"

# resource (public) file folder
asset_dir = "public"

[web.app]

# HTML title tag content
title = "About A Werefox"

[web.watcher]

# when watcher triggers, regenerate the `index.html`
reload_html = true

# which files or dirs will be watcher monitoring
watch_path = ["src", "public", "tailwind.config.js", "Dioxus.toml", "Cargo.toml"]

# implement redirect on 404
index_on_404 = true

# include `assets` in web platform
[web.resource]

# CSS style file
style = ["/styles/tailwind.min.css"]

# Javascript code file
script = []

[web.resource.dev]

# CSS style file
style = ["/styles/tailwind.min.css"]

# Javascript code file
# serve: [dev-server] only
script = []
